@if (offeredItem) {
  <form name="deleteForm" (ngSubmit)="confirmDelete(offeredItem.id!)">
    <div class="modal-header">
      <h4 class="modal-title" data-cy="offeredItemDeleteDialogHeading" jhiTranslate="entity.delete.title">Löschen bestätigen</h4>

      <span class="btn btn-close" data-dismiss="modal" aria-hidden="true" (click)="cancel()"></span>
    </div>

    <div class="modal-body">
      <jhi-alert-error></jhi-alert-error>
      <p
        id="jhi-delete-offeredItem-heading"
        jhiTranslate="realTimeBeveragesApp.offeredItem.delete.question"
        [translateValues]="{ id: offeredItem.id }"
      >
        Soll Offered Item {{ offeredItem.id }} wirklich dauerhaft gelöscht werden?
      </p>
    </div>

    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="cancel()">
        <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Abbrechen</span>
      </button>

      <button id="jhi-confirm-delete-offeredItem" data-cy="entityConfirmDeleteButton" type="submit" class="btn btn-danger">
        <fa-icon icon="times"></fa-icon>&nbsp;<span jhiTranslate="entity.action.delete">Löschen</span>
      </button>
    </div>
  </form>
}
